WebCollab logo

Introduction :: Screenshots :: Requirements  :: Online demo :: Downloads :: Installation :: Getting started :: FAQ 
Fast, secure and simple
What do you need to run WebCollab?

Site Map

Basic Requirements

The basic requirements for running WebCollab are:

Operating System

WebCollab is server based, and has confirmed operation on these platforms:

  • Linux
  • Windows
  • FreeBSD
  • MacOS
  • OpenBSD
  • Solaris

WebCollab is essentially platform independent. Any operating systems capable of running Apache and PHP should work.

Web Server

WebCollab is written in the PHP scripting language. Recommended configuration is:

  • Apache webserver.
  • PHP 5.2, or higher. PHP 5.3.2 is recommended.

WebCollab 3.00 requires PHP with the optional multibyte strings (mbstring) and PDO support compiled in. Both these options should be normally compiled into PHP 5+.

WebCollab 1.71 (and lower versions) can use PHP 4.3.0 without mbstring and PDO

Although neither recommended, nor supported, some users have WebCollab running successfully with Microsoft IIS and PHP. We have also had reports of WebCollab successfully running on WebSTAR 5.4

Database

WebCollab requires a database backend. Two databases are supported:

Mailserver

  • Mailserver optional, but recommended
  • WebCollab supports almost any SMTP compliant mail server
  • Full support is provided for servers requiring SMTP AUTH (TLS is supported).

Web Cients

  • WebCollab produces valid XHTML 1.0 (Strict) and should work with any standards compliant web browser
  • Limited JavaScript is used, mainly for checking user inputs.
  • Suggested web browsers are Firefox, Google Chrome, Internet Explorer 7 &anp; above (Internet Explorer 9 recommended), Opera and Safari.
  • For WebCollab 3.00 and higher, Internet Explorer 6.0 (and below) is not recommended.


Get WebCollab at SourceForge.net. Fast, secure and Free Open Source software downloads

Penguin logo

Windows logo

PHP logo

Apache logo

MySQL logo

Postgresql logo

Last modified July 2014